Skip to main content
POST
/
crm
/
v3
/
lists
/
records
/
memberships
/
batch
/
read
cURL
curl --request POST \
  --url https://api.hubapi.com/crm/v3/lists/records/memberships/batch/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "objectTypeId": "<string>",
      "recordId": "<string>"
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "objectTypeId": "<string>",
      "recordId": "<string>",
      "recordListMemberships": [
        {
          "firstAddedTimestamp": "2023-06-28T22:00:15.001Z",
          "lastAddedTimestamp": "2023-09-28T22:03:17.998Z",
          "listId": 13,
          "listVersion": 2
        }
      ]
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
inputs
object[]
required

Response

successful operation

completedAt
string<date-time>
required
results
object[]
required
startedAt
string<date-time>
required
status
enum<string>
required
Available options:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
requestedAt
string<date-time>
Last modified on April 20, 2026